summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/doconfd
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/doconfd')
-rwxr-xr-xbin/ebuild-helpers/doconfd14
1 files changed, 14 insertions, 0 deletions
diff --git a/bin/ebuild-helpers/doconfd b/bin/ebuild-helpers/doconfd
new file mode 100755
index 000000000..9952ec0f6
--- /dev/null
+++ b/bin/ebuild-helpers/doconfd
@@ -0,0 +1,14 @@
+#!/bin/bash
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+if [[ $# -lt 1 ]] ; then
+ echo "$0: at least one argument needed" 1>&2
+ exit 1
+fi
+
+exec \
+env \
+INSDESTTREE="/etc/conf.d/" \
+doins "$@"